# Ad Exchange Buyer API . performanceReport

## Instance Methods

Retrieves the authenticated user's list of performance metrics.

### Method Details

`list(accountId, endDateTime, startDateTime)`

    Retrieves the authenticated user's list of performance metrics.

    Args:
      accountId: string, The account id to get the reports for. (required)
      endDateTime: string, The end time for the reports. (required)
      startDateTime: string, The start time for the reports. (required)

    Returns:
      An object of the form:

        { # The configuration data for an Ad Exchange performance report list. TODO(nathanbullock): need to add some release tests before releasing this. https://sites.google.com/a/google.com/adx-integration/Home/engineering/binary-releases/rtb-api-release https://cs.corp.google.com/#piper///depot/google3/contentads/adx/tools/rtb_api/adxrtb.py
        "kind": "adexchangebuyer#performanceReportList", # Resource type.
        "performance_report": [ # A list of performance reports relevant for the account.
          {
            "kind": "adexchangebuyer#performanceReport", # Resource type.
            "timestamp": "A String", # Timestamp of the starting time of this performance data.
            "region": "A String", # The trading location of this data.
            "latency50thPercentile": 3.14, # The Nth percentile round trip latency(ms) as perceived from Google servers for the duration period covered by the report.
            "latency85thPercentile": 3.14,
            "latency95thPercentile": 3.14,
          },
        ],
      }